Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging
Imports DigitalData.Services.EDMIService.IDB

Public MustInherit Class BaseMethod
    Inherits BaseClass

    Friend ReadOnly DatabaseIDB As MSSQLServer
    Friend ReadOnly DatabaseECM As MSSQLServer
    Friend ReadOnly Helpers As Helpers
    Friend ReadOnly GlobalState As GlobalState

    Public Sub New(pLogConfig As LogConfig, pDatabaseIDB As MSSQLServer, pDatabaseECM As MSSQLServer, pGlobalState As GlobalState)
        MyBase.New(pLogConfig)
        DatabaseIDB = pDatabaseIDB
        DatabaseECM = pDatabaseECM
        Helpers = New Helpers(pLogConfig, pDatabaseIDB)
        GlobalState = pGlobalState
    End Sub
End Class
